$('#mytab').bootstrapTable({
    height: $(window).height,
    toolbar: '#toolbar',                //工具按钮用哪个容器
    striped: true,                      //是否显示行间隔色
    cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
    pagination: true,                   //是否显示分页（*）
    sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
    paginationPreText: '上一页',
    paginationNextText: '下一页',
    fixedColumns: true,
    fixedNumber: 4,
    pageNumber: 1,                       //初始化加载第一页，默认第一页
    pageSize: 5,                       //每页的记录行数（*）
    pageList: [5, 10, 15, 20, 30, 50],//可供选择的每页的行数（*）
    height: $(window).height() -134,                        //行高，如果没有设置height属性，表格自动根据记录条数觉得表格高度
    columns: [
        {
            title: '全选',
            field: 'select',
            checkbox: true,
            width: 25,
            align: 'center',
            valign: 'middle'
        },
        {
            field: 'no',
            title: '序号',
            sortable: true,
            formatter: function (value, row, index) {
                //获取每页显示的数量
                var pageSize = $('#mytab').bootstrapTable('getOptions').pageSize;
                //获取当前是第几页
                var pageNumber = $('#mytab').bootstrapTable('getOptions').pageNumber;
                //返回序号，注意index是从0开始的，所以要加上1
                return pageSize * (pageNumber - 1) + index + 1;
            }
        },
        {
            title: '批次名称',
            field: 'batchName',
        },
        {
            title: '借阅数量',
            field: 'borrowingNum',
        },
        {
            title: '审批状态',
            field: 'statc',
            formatter: function (value, row, index) {
                var spanValue;
                if (value == 2) {
                    spanValue = '<p style="color:green">已审批</p>';
                } else if (value == 0) {
                    spanValue = '<p style="color:red">未审批</p>';
                } else if (value == 3) {
                    spanValue = '<p style="color:orange">审批中</p>';
                }
                return spanValue;
            }
        },
        {
            title: '已审批数量',
            field: 'readNums',
        },
        {
            title: '申请人工号',
            field: 'applyName',
        },
        {
            title: '创建人',
            field: 'createName',
        },
        {
            title: '创建时间',
            field: 'createDate',
            formatter: crtTimeFtt
        },
        {
            title: '操作',
            formatter: function (value, row, index) {
                var id = row.id;
                var applyName = row.applyName;
                var editanddrop = '';
                editanddrop += '<a type="button" href="' + path + '/applyDetails/batchApplyDetails?batchId='+id+'&applyName='+applyName+'" class="btn btn-danger TableView btn-sm"  target="_blank">查看详情</a>';
                editanddrop += '<button class="btn btn-sm btn-warning btns"  onclick="updateBatch('+id+')"  data-toggle="modal" data-target="#myModal1">修改批次</button>';
                editanddrop += '&nbsp&nbsp&nbsp<button type="button" onclick="deleteById('+row.id+')" class="btn btn-sm  btn-danger">删除</button>';
                return editanddrop;
            }
        }
    ],
    locale: 'zh-CN',//中文支持,
    url: path + '/batchApply/selectBatchApply',//排序方式
    queryParams: function (params) {
        return {
            limit: params.limit, // 每页显示数量
            offset: params.offset, // SQL语句起始索引
            page: (params.offset / params.limit) + 1, //当前页码,
            applyer: $("#applyerSearch").val(),
            startTime1: $("#startTime1").val(),
            endTime1: $("#endTime1").val(),
            batchName: $("#batchName").val(),
            createName: $("#createName").val()
        }
    },
    responseHandler: function (res) {
        //在ajax获取到数据，渲染表格之前，修改数据源
        var nres = [];
        nres.push({total: res.total, rows: res.list});
        return nres[0];
    },
    onLoadSuccess: function () {
        $(".page-list").show();
        $(".fixed-table-body").css("overflow", "auto");
    },
    //监听分页点击事件
    onPageChange: function (num, type) {
        pageNumber = num;
    },
    //选中单个复选框
    onCheck: function (row) {
        var checks = $("#checks").val();
        $("#checks").val(checks += "'" + row.id + "',");
    },
    //取消单个复选框
    onUncheck: function (row) {
        var checks = $("#checks").val();
        checks = checks.replace("'" + row.id + "',", "");
        $("#checks").val(checks);
    },
    //全选
    onCheckAll: function (rows) {
        $("#checks").val("");
        var checks = '';
        for (var i = 0; i < rows.length; i++) {
            checks += "'" + rows[i].id + "',"
        }
        $("#checks").val(checks);
    },
    //全不选
    onUncheckAll: function (rows) {
        $("#checks").val("");
    }
})

function crtTimeFtt(val) {
    if (val != null) {
        var date = new Date(val);
        return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
    }
}


//删除分配
function deleteById(id){
    Common.confirm({
        title: "提示",
        message: "请确认是否删除此批次?",
        operate: function (reselt) {
            if (reselt) {
                $.ajax({
                    type: 'post',
                    url: path + '/batchApply/deleteById/',
                    data:{id:id},
                    dataType: 'json',
                    success: function (data) {
                        console
                        if (data == 1) {
                            toastr.success("删除成功!");
                            refreshTable();
                            $('#mytab').bootstrapTable('selectPage', pageNumber);
                        } else {
                            toastr.warning("删除失败");
                        }
                    }
                })
            }
        }
    })
}

//修改批次给隐藏的id赋值
function updateBatch(id){
    $("#updateId").val(id);
}
//修改批次
function saveBatch(){
    var batchName = $("#updateBatchName").val();
    var updateId = $("#updateId").val();
    if (batchName == '') {
        return toastr.warning("批次名称不能为空!");
    }
    $.ajax({
        type:'post',
        url:path+'/batchApply/updateBatch',
        data:{id:updateId,batchName:batchName},
        dataType:'json',
        success:function(data){
            if (data==0){
                return toastr.warning("修改批次失败!");
            }
            if (data==1){
                toastr.success("修改批次成功!");
                $('#myModal1').modal('hide');
                reLoadTable();
            }
        }
    })

}

//查询按钮
function refreshTable() {
    $("#checks").val("");
    $('#mytab').bootstrapTable('refresh', {
        url: path + '/batchApply/selectBatchApply',//排序方式
    })
}

function empty() {
    $(":input").val("")
    refreshTable();
}
//新增批次
function insertBatch() {
    var batchName = $("#batchNotes").val();
    var applyName = $("#applyName").val();
    if (batchName == '') {
        return toastr.warning("批次名称不能为空!");
    }
    if (applyName == '') {
        return toastr.warning("申请人工号不能为空!");
    }
    $.ajax({
        type:'post',
        url:path+'/batchApply/insertBatch',
        data:{batchName:batchName,applyName:applyName},
        dataType:'json',
        success:function(data){
            if (data==0){
                return toastr.warning("新增批次失败!");
            }
            if (data==1){
                toastr.success("新增批次成功!");
                $('#myModal').modal('hide');
                reLoadTable();
            }
        }
    })
}


function reLoadTable(){
    $("#batchNotes").val("");
    $("#mytab").bootstrapTable('refresh',path + '/batchApply/selectBatchApply');//排序方式
}

$(function () {
    initDateInput(1);
    initDateInput(2);
})

//清空表单
function  emptyBorrowingForm(){
    $('#borrowingTable')[0].reset();
}